----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date: 21.01.2024 18:13:14
-- Design Name: 
-- Module Name: TOP_tb - Behavioral
-- Project Name: 
-- Target Devices: 
-- Tool Versions: 
-- Description: 
-- 
-- Dependencies: 
-- 
-- Revision:
-- Revision 0.01 - File Created
-- Additional Comments:
-- 
----------------------------------------------------------------------------------


library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx leaf cells in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity TOP_tb is
--  Port ( );
end TOP_tb;

architecture Behavioral of TOP_tb is

   signal clk : std_logic := '0';  
   signal btnR : std_logic := '0'; -- Zmiana trybu wiecenia
   signal btnC : std_logic := '0'; -- wcz/wycz
   signal btnL : std_logic := '0'; -- Zmiana prdkoci wiecenia
   signal led : STD_LOGIC_VECTOR (7 downto 0) := "00000000";
   
begin

top_test: entity work.TOP PORT MAP (
      btnR => btnR,
      btnC => btnC,
      btnL => btnL,
      clk => clk,
      led => led
    );
    
CLOCK_IN_process :process
   begin
		clk <= '0';
		wait for 2ns;
		clk <= '1';
		wait for 2ns;
   end process;
   
Predkosc: process is -- Zmiana prdkoci wiecenia 
    begin
        wait for 30ns;
        btnL <= '1'; wait for 24ns;
        btnL <= '0'; wait;
    end process;

Off_On: process is -- wcz/wycz
    begin
        btnC <= '1'; wait for 24ns;
        btnC <= '0'; wait;
    end process;
    
Mode: process is -- Proces zmiany trybu
    begin
        btnR <= '1'; wait for 24ns;
        btnR <= '0'; wait;
    end process;
end Behavioral;
